Files
Upload files
File to upload
Files successfully uploaded.
The ID of the file.
The name of the file.
The MIME type of the file content.
The size of the file.
The extension of the file.
POST /rest/2.0/files HTTP/1.1
Authorization: Basic username:password
Content-Type: multipart/form-data
Accept: */*
Content-Length: 17
{
"file": "binary"
}Files successfully uploaded.
[
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"name": "text",
"contentType": "text",
"size": 1,
"extension": "text"
}
]Downloads file identified by given id. Keep in mind to use GET /attachments/{attachmentId}/file instead of this endpoint when you want to get the file of an attachment. A File and its id can be temporary so it's possible this endpoint will not get you the desired file.
the id of the file
The file has been downloaded
The found file
GET /rest/2.0/files/{fileId} HTTP/1.1
Authorization: Basic username:password
Accept: */*
The file has been downloaded
binaryDeletes the temporary file with the provided ID. Temporary files are short-lived. Collibra automatically deletes them between 8 and 16 hours after their creation. You do not need specific permissions to perform this operation.
the id of the file
The file has been deleted
No content
DELETE /rest/2.0/files/{fileId} HTTP/1.1
Authorization: Basic username:password
Accept: */*
The file has been deleted
No content
Deletes files having passed their expiration time. Deprecated: timeToLive is ignored. Cleanup being automatic, this endpoint will be removed in the future.
The files have been deleted
No content
DELETE /rest/2.0/files/bulk HTTP/1.1
Authorization: Basic username:password
Accept: */*
The files have been deleted
No content
Returns information about the file identified by given id. Keep in mind to use GET /attachments/{attachmentId} instead of this endpoint when you want to get information of an attachment. A File and its id can be temporary so it's possible this endpoint will not get you the information of the desired file.
the id of the file
The file information
The id of the represented object (entity).
The id of the user that created this resource.
4d250cc5-e583-4640-9874-b93d82c7a6cbThe timestamp (in UTC time standard) of the creation of this resource.
1475503010320The id of the user who modified this resource the last time.
a073ff90-e7bc-4b35-ba90-c4d475f642feThe timestamp (in UTC time standard) of the last modification of this resource.
1476703764163Whether this is a system resource or not.
The type of the resource, e.g. [Community, Asset, Domain, Attribute, Relation, WorkflowInstance, ...]. This property is deprecated and will be removed in the future. To stay backwards compatible while still allowing new types of resources to be introduced, a resource discriminator property (of type String) has been added to the subtypes of Resource where it adds value, e.g. assignedResourceDiscriminator on AssignedResource, or attributeDiscriminator on Attribute. A discriminator is only added on subtypes whose declared return type can represent more than one kind of resource; it is omitted where the return type can only ever be a single kind, as it would then always hold the same value and carry no additional information. For new types of resource that didn't exist before this change, the resourceType will be BaseDataType.
The name of the resource.
Test nameThe description of the resource.
Sample descripion of the resource.The public id of the scope.
"Finance_C"GET /rest/2.0/files/{fileId}/info HTTP/1.1
Authorization: Basic username:password
Accept: */*
The file information
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"createdBy": "4d250cc5-e583-4640-9874-b93d82c7a6cb",
"createdOn": 1475503010320,
"lastModifiedBy": "a073ff90-e7bc-4b35-ba90-c4d475f642fe",
"lastModifiedOn": 1476703764163,
"system": true,
"name": "Test name",
"description": "Sample descripion of the resource.",
"publicId": "\"Finance_C\"",
"domains": [
{
"id": "2b7f3a1a-4e50-4077-96f0-a58a395c860d",
"resourceDiscriminator": "Community",
"name": "text"
}
],
"communities": [
{
"id": "2b7f3a1a-4e50-4077-96f0-a58a395c860d",
"resourceDiscriminator": "Community",
"name": "text"
}
]
}Last updated
Was this helpful?